## org.ascape.query.parser
Class QTValue

    java.lang.Object
      org.ascape.query.parser.SimpleNode
          org.ascape.query.parser.QTCriteriaSubNode
              org.ascape.query.parser.QTValue

All Implemented Interfaces:
  Node, Validated

Direct Known Subclasses:
  QTNonQuotedString, QTNumberString, QTQuotedString

    public class QTValue

extends QTCriteriaSubNode
implements Validated

Field Summary

Fields inherited from class org.ascape.query.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`QTValue(BoolExprTree p, int i)`
`QTValue(int i)`

Method Summary
`org.ascape.query.parser.QTValue.Comparor` `createComparor()`
`java.lang.Object` `getCoercedValue()`
`org.ascape.query.parser.QTValue.Comparor` `getComparor()`
`java.lang.String` `getValue()`
`void` `setValue(java.lang.String value)`
`java.lang.String` `toString()`
`void` `validate(java.lang.Object object)`

Methods inherited from class org.ascape.query.parser.QTCriteriaSubNode
`getCriteria`

Methods inherited from class org.ascape.query.parser.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTValue

    public QTValue(int i)

### QTValue

    public QTValue(BoolExprTree p,
                   int i)

Method Detail

### createComparor

    public org.ascape.query.parser.QTValue.Comparor createComparor()

### validate

    public void validate(java.lang.Object object)
                  throws ParseException

  Specified by:
    `validate` in interface `Validated`
  Throws:
    `ParseException`

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### getCoercedValue

    public java.lang.Object getCoercedValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleNode`

### getComparor

    public org.ascape.query.parser.QTValue.Comparor getComparor()